> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit an end user to a single funder

> Triggers an async submission for a specific funder submission. Returns 202 immediately; poll the submission status to check progress.



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_users/{end_user_heron_id}/funder_submissions/{submission_heron_id}/submit_to_funder/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_heron_id}/funder_submissions/{submission_heron_id}/submit_to_funder/:
    post:
      summary: Submit an end user to a single funder
      description: >-
        Triggers an async submission for a specific funder submission. Returns
        202 immediately; poll the submission status to check progress.
      parameters:
        - description: The Heron ID of the end user
          in: path
          name: end_user_heron_id
          required: true
          schema:
            type: string
        - description: The Heron ID of the funder submission
          in: path
          name: submission_heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitFunderSubmissionRequestSchema'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitFunderSubmissionResponseSchema'
          description: Submission accepted and queued for processing
        '400':
          description: Submission cannot be submitted in its current status
        '404':
          description: End user or funder submission not found
        '409':
          description: Submission is already in progress
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SubmitFunderSubmissionRequestSchema:
      additionalProperties: false
      properties:
        use_sandbox:
          type: boolean
      required:
        - use_sandbox
      type: object
    SubmitFunderSubmissionResponseSchema:
      additionalProperties: false
      properties:
        submission_heron_id:
          readOnly: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````